package com.chinaitop.depot.archives.model;

import java.util.Date;

public class StorageQualitycheckArchives {
    private String id;

    private Integer qualityId;

    private Integer houseId;

    private String tankId;

    private Integer warehouseId;

    private Integer orgId;

    private String fileNumber;

    private String houseChange;

    private String remark;

    private Integer acceptanceId;

    private Date createTime;

    /**
     * 质量档案表
     * @return id 质量档案表
     */
    public String getId() {
        return id;
    }

    /**
     * 质量档案表
     * @param id 质量档案表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 初检id
     * @return quality_id 初检id
     */
    public Integer getQualityId() {
        return qualityId;
    }

    /**
     * 初检id
     * @param qualityId 初检id
     */
    public void setQualityId(Integer qualityId) {
        this.qualityId = qualityId;
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 油罐id
     * @return tank_id 油罐id
     */
    public String getTankId() {
        return tankId;
    }

    /**
     * 油罐id
     * @param tankId 油罐id
     */
    public void setTankId(String tankId) {
        this.tankId = tankId == null ? null : tankId.trim();
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 组织结构id
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 档案编号
     * @return file_number 档案编号
     */
    public String getFileNumber() {
        return fileNumber;
    }

    /**
     * 档案编号
     * @param fileNumber 档案编号
     */
    public void setFileNumber(String fileNumber) {
        this.fileNumber = fileNumber == null ? null : fileNumber.trim();
    }

    /**
     * 货位变更
     * @return house_change 货位变更
     */
    public String getHouseChange() {
        return houseChange;
    }

    /**
     * 货位变更
     * @param houseChange 货位变更
     */
    public void setHouseChange(String houseChange) {
        this.houseChange = houseChange == null ? null : houseChange.trim();
    }

    /**
     * 需要特殊说明的情况
     * @return remark 需要特殊说明的情况
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 需要特殊说明的情况
     * @param remark 需要特殊说明的情况
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 验收id
     * @return acceptance_id 验收id
     */
    public Integer getAcceptanceId() {
        return acceptanceId;
    }

    /**
     * 验收id
     * @param acceptanceId 验收id
     */
    public void setAcceptanceId(Integer acceptanceId) {
        this.acceptanceId = acceptanceId;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}