package com.chinaitop.depot.archives.service;

import com.chinaitop.depot.archives.model.StorageQualitycheckArchives;
import com.chinaitop.depot.archives.model.StorageQualitycheckArchivesExample;
import com.chinaitop.depot.archives.model.StorageQualitycheckArchivesSon;
import com.chinaitop.depot.storage.model.StorageQualitycheck;

import java.util.List;
import java.util.Map;

public interface QualitycheckArchivesService {

	/**
	 * 按照条件查询数据
	 * 
	 * @param storehouseId
	 * @param orgId
	 * @return
	 */
	List<StorageQualitycheck> findCondition(String storehouseId, Integer orgId);

	Map<String, Object> saveCJData(String qualityArchives);
	Map<String, Object> saveYSData(String archivesId,String acceptanceId);
	Map<String, Object> saveCKData(String qualityCK1,String qualityCK2);
	Map<String, Object> saveArchiveSonData(String qualitySon);

	StorageQualitycheckArchives getQualityArchivesDeatil(String id);

	Map<String, Object> removeById(String id);
	Map<String, Object> removeRegularById(String id);

	Map<String, Object> getSonByArchivesId(String id);

	List<StorageQualitycheckArchivesSon> findRegular(String startDate, String endDate, String archivesId, String inspectionType, Integer orgId);

	StorageQualitycheckArchivesSon getArchivesSonById(String id);
	Map<String, Object> getPrintData(String archivesId);
}
