package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageQualitycheckInspectionMapper;
import com.chinaitop.depot.storage.model.StorageQualitycheckInspection;
import com.chinaitop.depot.storage.model.StorageQualitycheckSon;
import com.chinaitop.depot.storage.service.StorageQualitycheckInspectionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author jidongjie
 * @Date 2020.3.5
 */
@Service
public class StorageQualitycheckInspectionServiceImpl implements StorageQualitycheckInspectionService {
    @Resource
    private StorageQualitycheckInspectionMapper qualitycheckInspectionMapper;


    @Override
    public void save(StorageQualitycheckInspection qualityInspection) {

        if(qualityInspection.getId() == null){
            qualitycheckInspectionMapper.insertSelective(qualityInspection);// 新增数据
        } else {
            qualitycheckInspectionMapper.updateByPrimaryKeySelective(qualityInspection);//修改数据
        }
    }
    @Override
    public List<StorageQualitycheckInspection> getQualitycheckInByFoodbasicinfoCheck(Integer foodbasicinfoId) {
        return qualitycheckInspectionMapper.getQualitycheckInByFoodbasicinfoCheck(foodbasicinfoId);
    }
    @Override
    public StorageQualitycheckInspection loadDataById(Integer id) {
        return qualitycheckInspectionMapper.selectByPrimaryKey(id);
    }
}
