package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageDump;
import com.chinaitop.depot.storage.model.StorageDumpExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageDumpMapper {
    int countByExample(StorageDumpExample example);

    int deleteByExample(StorageDumpExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageDump record);

    int insertSelective(StorageDump record);

    List<StorageDump> selectByExample(StorageDumpExample example);

    StorageDump selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageDump record, @Param("example") StorageDumpExample example);

    int updateByExample(@Param("record") StorageDump record, @Param("example") StorageDumpExample example);

    int updateByPrimaryKeySelective(StorageDump record);

    int updateByPrimaryKey(StorageDump record);

    /**
     * 查询验收通过的数据
     * 
     * @param orgId 单位ID
     * @return
     */
    List<Map<String, Object>> selectYswData(Integer orgId);
}