package com.chinaitop.depot.storage.model;

public class StorageQualitycheckInspection {
    private Integer id;

    private Integer qualitycheckId;

    private String gasTaste;

    private String insolubleImpurity;

    private String acidValue;

    private String heatingTest;

    private String soapContent;

    private String freezeTest;

    private String peroxideValue;

    private String fattyAcidEsters;

    /**
     * id
     * @return id id
     */
    public Integer getId() {
        return id;
    }

    /**
     * id
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 质量检查信息表主键
     * @return qualitycheck_id 质量检查信息表主键
     */
    public Integer getQualitycheckId() {
        return qualitycheckId;
    }

    /**
     * 质量检查信息表主键
     * @param qualitycheckId 质量检查信息表主键
     */
    public void setQualitycheckId(Integer qualitycheckId) {
        this.qualitycheckId = qualitycheckId;
    }

    /**
     * 气体、滋味
     * @return gas_taste 气体、滋味
     */
    public String getGasTaste() {
        return gasTaste;
    }

    /**
     * 气体、滋味
     * @param gasTaste 气体、滋味
     */
    public void setGasTaste(String gasTaste) {
        this.gasTaste = gasTaste == null ? null : gasTaste.trim();
    }

    /**
     * 不溶性杂质含量/%
     * @return insoluble_impurity 不溶性杂质含量/%
     */
    public String getInsolubleImpurity() {
        return insolubleImpurity;
    }

    /**
     * 不溶性杂质含量/%
     * @param insolubleImpurity 不溶性杂质含量/%
     */
    public void setInsolubleImpurity(String insolubleImpurity) {
        this.insolubleImpurity = insolubleImpurity == null ? null : insolubleImpurity.trim();
    }

    /**
     * 酸价（KOH）/（mg/g）
     * @return acid_value 酸价（KOH）/（mg/g）
     */
    public String getAcidValue() {
        return acidValue;
    }

    /**
     * 酸价（KOH）/（mg/g）
     * @param acidValue 酸价（KOH）/（mg/g）
     */
    public void setAcidValue(String acidValue) {
        this.acidValue = acidValue == null ? null : acidValue.trim();
    }

    /**
     * 加热试验（280℃）
     * @return heating_test 加热试验（280℃）
     */
    public String getHeatingTest() {
        return heatingTest;
    }

    /**
     * 加热试验（280℃）
     * @param heatingTest 加热试验（280℃）
     */
    public void setHeatingTest(String heatingTest) {
        this.heatingTest = heatingTest == null ? null : heatingTest.trim();
    }

    /**
     * 含皂量/（%）
     * @return soap_content 含皂量/（%）
     */
    public String getSoapContent() {
        return soapContent;
    }

    /**
     * 含皂量/（%）
     * @param soapContent 含皂量/（%）
     */
    public void setSoapContent(String soapContent) {
        this.soapContent = soapContent == null ? null : soapContent.trim();
    }

    /**
     * 冷冻试验（0℃储藏5.5h）
     * @return freeze_test 冷冻试验（0℃储藏5.5h）
     */
    public String getFreezeTest() {
        return freezeTest;
    }

    /**
     * 冷冻试验（0℃储藏5.5h）
     * @param freezeTest 冷冻试验（0℃储藏5.5h）
     */
    public void setFreezeTest(String freezeTest) {
        this.freezeTest = freezeTest == null ? null : freezeTest.trim();
    }

    /**
     * 过氧化值
     * @return peroxide_value 过氧化值
     */
    public String getPeroxideValue() {
        return peroxideValue;
    }

    /**
     * 过氧化值
     * @param peroxideValue 过氧化值
     */
    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    /**
     * 脂肪酸酯
     * @return fatty_acid_esters 脂肪酸酯
     */
    public String getFattyAcidEsters() {
        return fattyAcidEsters;
    }

    /**
     * 脂肪酸酯
     * @param fattyAcidEsters 脂肪酸酯
     */
    public void setFattyAcidEsters(String fattyAcidEsters) {
        this.fattyAcidEsters = fattyAcidEsters == null ? null : fattyAcidEsters.trim();
    }
}