package com.chinaitop.depot.unissoft.serviceconfig;

import com.chinaitop.depot.unissoft.webservice.QualityCheckFCService;
import com.chinaitop.depot.unissoft.webservice.QualityCheckFCServiceImpl;
import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

@Configuration
public class CxfConfig {
    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    //出库检验信息
    @Bean
    public QualityCheckFCService qualityCheckFCService() {
        return new QualityCheckFCServiceImpl();
    }
    @Bean
    public Endpoint outQualitycheck() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), qualityCheckFCService());
        endpoint.publish("/outQualitycheck");
        return endpoint;
    }
    @Bean
    public Endpoint setQualitycheckType() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), qualityCheckFCService());
        endpoint.publish("/setQualitycheckType");
        return endpoint;
    }

    @Bean
    public Endpoint downFcInfo() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), qualityCheckFCService());
        endpoint.publish("/downFcInfo");
        return endpoint;
    }
}
